Skip to main content
`Ctrl`+`K`

# EPSConvergenceTestFn

A prototype of an `EPS` convergence test function that would be passed to `EPSSetConvergenceTestFunction()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode EPSConvergenceTestFn(EPS eps,PetscScalar eigr,PetscScalar eigi,PetscReal res,PetscReal *errest,void *ctx);

## Calling Sequence

- eps - the linear eigensolver context

- eigr - real part of the eigenvalue

- eigi - imaginary part of the eigenvalue

- res - residual norm associated to the eigenpair

- errest - [output] computed error estimate

- ctx - optional convergence context, as set by `EPSSetConvergenceTestFunction()`

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetConvergenceTest()`, `EPSSetConvergenceTestFunction()`

## Level

advanced

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages